KDE 4.7 PyKDE API Reference

- KDE's Python API

# HtmlExtension Class Reference

`from PyKDE4.kparts import *`

Inherits: QObject
Namespace: KParts

## Detailed Description

an extension for KParts to provide HTML-related features

Use qobject_cast to cast the extension to interesting interfaces, like qobject_cast<KParts.SelectorInterface>.

Since:
  4.6

## Methods
| __init__ (self, KParts.ReadOnlyPart parent)
KUrl | baseUrl (self)
bool | hasSelection (self)
## Static Methods
KParts.HtmlExtension | childObject (QObject obj)

## Method Documentation

__init__ | ( | self, |
|  | KParts.ReadOnlyPart | parent
| ) |  |  |

KUrl baseUrl | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the current base url of the part that implements this extension.

This function is mostly used to resolve any relative URLs that might be returned when querying the part for links.

bool hasSelection | ( |  | self ) |

Returns true if portions of the content in the part that implements this extension are selected.

By default this function returns false.

## Static Method Documentation

KParts.HtmlExtension childObject | ( | QObject | obj
| ) |  |  |

Queries obj for a child object which inherits from this HtmlExtension class.